# `supabase-wechat-stable`

supabase的一个同构的JavaScript客户端。

- **Documentation:** https://supabase.com/docs/client/supabase-client
- TypeDoc: https://supabase.github.io/supabase-js

## Usage

首先，你需要安装这个库。

```sh
npm install supabase-wechat-stable
```

然后你就可以导入库并与数据库建立连接。

```js
import { createClient } from 'supabase-wechat-stable'

// Create a single supabase client for interacting with your database
const supabase = createClient('https://xyzcompany.supabase.co', 'public-anon-key')
```

然后你可以从一个全局的`supabase`变量中使用它。

```html
<script>
  const { createClient } = supabase
  const _supabase = createClient('https://xyzcompany.supabase.co', 'public-anon-key')

  console.log('Supabase Instance: ', _supabase)
  // ...
</script>
```




